REM Perspective tarnsformatin
DIM m(4,4)                      ! Transformation matrix 
MAT m=IDN
LET m(2,4)=1/400
SET COLOR MODE "NATIVE"     
GLOAD "ZENKOUJI.JPG" 
ASK PIXEL SIZE (0,0; 1,1) a,b  
DIM p(a,b)                     
ASK PIXEL ARRAY (0,1) p        
SET BITMAP SIZE 421,421        
CLEAR                          
SET WINDOW -210, 210, -20, 400  
DRAW grid(100,100)              
DRAW pict1                       
WAIT DELAY 2                     
CLEAR                            
DRAW grid(100,100)
DRAW pict1 WITH m                
PICTURE pict1
   MAT PLOT CELLS, IN  -a/2 + 1, b ; a/2  , 1 : p
END PICTURE
END

